Loading...
Searching...
No Matches
globus_gss_assist_constants.h File Reference

Globus GSI GSS Assist Library. More...

Go to the source code of this file.

## Enumerations

enum

globus_gsi_gss_assist_error_t {
GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS = 0 , GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS = 1 , GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH = 2 , GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY = 3 ,
GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP = 4 , GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT = 5 , GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO = 6 , GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT = 7 ,
GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP = 8 , GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN = 9 , GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT = 10 , GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT = 11 ,
GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE = 12 , GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG = 13 , GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR = 14 , GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR = 15 ,
GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED = 16 , GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL = 17 , GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME = 18 , GLOBUS_GSI_GSS_ASSIST_ERROR_LAST = 19
}

## Detailed Description

Globus GSI GSS Assist Library.

Author
  Sam Lang, Sam Meder